Security
bearerAuth and apiKeyAuth
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/standardEntity/field
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/standardEntity/field
curl -i -X GET \
'https://api3.sprinklr.com/prod/api/v3/standardEntity/field?fieldId=string&fieldName=string&entityDefinitionId=string&pageNumber=string&pageSize=string' \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Key: YOUR_API_KEY_HERE'Success
Array []
If the field is of type LOOKUP, this would specify which entity is the reference for lookup
If this entity is of type LOOKUP and has a parentChild relationship, the entity with the referenced value is also deleted is the referenced entity is deleted.
Response
[ { "id": "string", "apiName": "string", "name": "string", "description": "string", "type": "string", "entityDefinitionId": "string", "lookupType": "string", "parentChild": true, "form": { … }, "multivalued": true, "mandatory": true, "controllingField": "string", "picklistValues": [ … ], "defaultValue": {}, "additional": { … }, "langVsTranslatedFieldValues": { … } } ]